# This file contains the definitions of the source code rules (cpplint flags)
#
#  Author: Raian Vargas Maretto <raian@dpi.inpe.br>
#          Thales Sehn Korting <tkorting@dpi.inpe.br>
#          Emiliano Ferreira Castejon <castejon@dpi.inpe.br>
#

# Maximum lengh allowed for each line of the source code

# LIST OF ALL AVAILABLE FILTERS
#   build/class
#   build/c++11
#   build/c++14
#   build/c++tr1
#   build/deprecated
#   build/endif_comment
#   build/explicit_make_pair
#   build/forward_decl
#   build/header_guard
#   build/include
#   build/include_alpha
#   build/include_order
#   build/include_what_you_use
#   build/namespaces
#   build/printf_format
#   build/storage_class
#   legal/copyright
#   readability/alt_tokens
#   readability/braces
#   readability/casting
#   readability/check
#   readability/constructors
#   readability/fn_size
#   readability/inheritance
#   readability/multiline_comment
#   readability/multiline_string
#   readability/namespace
#   readability/nolint
#   readability/nul
#   readability/strings
#   readability/todo
#   readability/utf8
#   runtime/arrays
#   runtime/casting
#   runtime/explicit
#   runtime/int
#   runtime/init
#   runtime/invalid_increment
#   runtime/member_string_references
#   runtime/memset
#   runtime/indentation_namespace
#   runtime/operator
#   runtime/printf
#   runtime/printf_format
#   runtime/references
#   runtime/string
#   runtime/threadsafe_fn
#   runtime/vlog
#   whitespace/blank_line
#   whitespace/braces
#   whitespace/comma
#   whitespace/comments
#   whitespace/empty_conditional_body
#   whitespace/empty_if_body
#   whitespace/empty_loop_body
#   whitespace/end_of_line
#   whitespace/ending_newline
#   whitespace/forcolon
#   whitespace/indent
#   whitespace/line_length
#   whitespace/newline
#   whitespace/operators
#   whitespace/parens
#   whitespace/semicolon
#   whitespace/tab
#   whitespace/todo

set(MAX_LINE_LENGTH 100)

if(MSVC)
	set(OUTPUT_STYLE --output=vs12)
else()
	set(OUTPUT_STYLE --output=emacs)
endif()

set(STYLE_FILTER)

# disable unwanted filters
set(STYLE_FILTER ${STYLE_FILTER}-whitespace/braces,)
# set(STYLE_FILTER ${STYLE_FILTER}-whitespace/semicolon,)
# set(STYLE_FILTER ${STYLE_FILTER}-whitespace/blank_line,)
# set(STYLE_FILTER ${STYLE_FILTER}-whitespace/comma,)
set(STYLE_FILTER ${STYLE_FILTER}-whitespace/operators,)
set(STYLE_FILTER ${STYLE_FILTER}-whitespace/parens,)
set(STYLE_FILTER ${STYLE_FILTER}-whitespace/line_length,)
# set(STYLE_FILTER ${STYLE_FILTER}-whitespace/indent,)
# set(STYLE_FILTER ${STYLE_FILTER}+whitespace/comments,)
set(STYLE_FILTER ${STYLE_FILTER}-whitespace/newline,)
# set(STYLE_FILTER ${STYLE_FILTER}-whitespace/tab,)
set(STYLE_FILTER ${STYLE_FILTER}-build/c++11,)
# set(STYLE_FILTER ${STYLE_FILTER}-build/include_order,)
# set(STYLE_FILTER ${STYLE_FILTER}-build/namespaces,)
# set(STYLE_FILTER ${STYLE_FILTER}-build/include_what_you_use,)

# set(STYLE_FILTER ${STYLE_FILTER}-readability/streams,)
# set(STYLE_FILTER ${STYLE_FILTER}-readability/todo,)

set(STYLE_FILTER ${STYLE_FILTER}-runtime/references,)
# set(STYLE_FILTER ${STYLE_FILTER}-runtime/int,)
# set(STYLE_FILTER ${STYLE_FILTER}-runtime/explicit,)
# set(STYLE_FILTER ${STYLE_FILTER}-runtime/printf,)
