/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

/*!
  \file gdma/geodma_tvplugin/helpAction.cpp

  \brief This file contains the HelpAction implementation.

  \author Raian Vargas Maretto
  \author Thales Sehn Korting
  \author Emiliano Ferreira Castejon
*/

// TerraLib Includes
#include <terralib/qt/widgets/help/HelpManager.h>

// GeoDMA Includes
#include "geodma_tvplugin/helpAction.hpp"


gdma::tvplg::HelpAction::HelpAction(QMenu* menu) : gdma::tvplg::AbstractAction(menu) {
    createAction(tr("Help").toUtf8().data(), "help-browser");
    m_action->setObjectName("Plugins.GeoDMA.Help");
}


gdma::tvplg::HelpAction::~HelpAction() {
}

void gdma::tvplg::HelpAction::onActionActivated(bool checked) {
    te::qt::widgets::HelpManager::getInstance().showHelp("geodma/geodma_index.html",
        "dpi.inpe.br.geodma");
}
