/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

/*!
  \file gdma/geodma_tvplugin/helpAction.hpp

  \brief This file contains the helpAction class definition. It starts the help from the GeoDMA Menu

  \author Raian Vargas Maretto
  \author Thales Sehn Korting
  \author Emiliano Ferreira Castejon
*/

#ifndef GEODMA_TVPLUGIN_HELPACTION_HPP_
#define GEODMA_TVPLUGIN_HELPACTION_HPP_

// Qt Includes
#include <QAction>
#include <QMenu>

// GeoDMA Includes
#include "geodma_tvplugin/abstractAction.hpp"
#include "geodma_tvplugin/config.hpp"

namespace gdma {
namespace tvplg {
/*!
  \class C50ClassificationAction

  \brief This class register the Sample Selection action into GeoDMA Plugin.
*/
class GDMATVPLGEXPORT HelpAction : public AbstractAction {
    Q_OBJECT
 public:
    explicit HelpAction(QMenu* menu);

    ~HelpAction();

 protected slots:  //NOLINT
    void onActionActivated(bool checked);
    // void onHelpFinished();
};
}  // namespace tvplg
}  // namespace gdma

#endif  // GEODMA_TVPLUGIN_HELPACTION_HPP_
