/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

/*!
  \file gdma/lib/dataManager/utils.hpp

  \brief Defines some useful functions to manage data.

  \author Raian Vargas Maretto
  \author Thales Sehn Korting
  \author Emiliano Ferreira Castejon
*/

#ifndef GEODMA_LIB_DATAMANAGER_UTILS_HPP_
#define GEODMA_LIB_DATAMANAGER_UTILS_HPP_

// TerraLib Includes
#include <terralib/dataaccess/dataset/DataSet.h>

// STL Includes
#include <vector>

// GeoDMA Includes
#include "geodmalib/datamanager/config.hpp"

namespace gdma {
namespace dm {
GDMADMEXPORT void generateRandomSequence(te::da::DataSetPtr dataset, int numberOfPositions,
    std::vector<unsigned int>& vec_positions, double randomSeed = 0);
}  // namespace dm
}  // namespace gdma
#endif  // GEODMA_LIB_DATAMANAGER_UTILS_HPP_
