#include "semanticAnalysisDialog.hpp"
#include "semanticAnalysisWidget.hpp"

#include "ui_semanticAnalysisDialogForm.h"

#include <QCloseEvent>
#include <QMessageBox>

namespace gdma {
namespace guicmp {
SemanticAnalysisDialog::SemanticAnalysisDialog(QWidget* parent, Qt::WindowFlags f)
  : QDialog(parent, f)
{

  m_uiPtr.reset(new Ui::SemanticAnalysisDialogForm);
  m_uiPtr->setupUi(this);

  //QGridLayout* layout = new QGridLayout( m_uiPtr->m_widgetFrame );
  //layout->setContentsMargins(0, 0, 0, 0);

  m_widuiPtr.reset( new gdma::guicmp::SemanticAnalysisWidget( m_uiPtr->m_widgetFrame ) );

  //m_uiPtr->m_widgetFrame->setLayout( layout );
  //layout->addWidget( m_widuiPtr.get(), 0, 0 );

  connect(m_uiPtr->m_helpPushButton, SIGNAL(clicked()), this, SLOT(onHelpPushButtonClicked()));
  connect(m_uiPtr->m_closePushButton, SIGNAL(clicked()), this, SLOT(onClosePushButtonClicked()));
}


SemanticAnalysisDialog::~SemanticAnalysisDialog()
{
}

void SemanticAnalysisDialog::closeEvent(QCloseEvent* eventPtr )
{
  if( m_widuiPtr->getExecuterStatus() == SemanticAnalysisWidget::ACTIVE_EXECUTER )
  {
    QMessageBox::critical( this, "GeoDMA", "Analysis still active" );
    eventPtr->ignore();
  }
  else
  {
    eventPtr->accept();
  }
}

void gdma::guicmp::SemanticAnalysisDialog::onHelpPushButtonClicked()
{
}

void gdma::guicmp::SemanticAnalysisDialog::onClosePushButtonClicked()
{
  close();
}

}  // namespace guicmp
}  // namespace gdma
