/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

/*!
  \file gdma/guicomponents/semanticanalysis/SemanticAnalysisDialog.hpp

  \brief This file contains the SemanticAnalysisDialog class definition.
*/

#ifndef GEODMA_TVPLUGIN_SEMANTICANALYSISDIALOG_HPP_
#define GEODMA_TVPLUGIN_SEMANTICANALYSISDIALOG_HPP_

#include "../config.hpp"
#include "semanticAnalysisWidget.hpp"
#include <QDialog>

#include <memory>

namespace Ui { class SemanticAnalysisDialogForm; }
namespace Ui { class SemanticAnalysisWidget; }

namespace gdma {
namespace guicmp {
class GDMAGUICMPEXPORT SemanticAnalysisDialog : public QDialog {
    Q_OBJECT

 public:
   std::unique_ptr<Ui::SemanticAnalysisDialogForm> m_uiPtr;
   std::unique_ptr<SemanticAnalysisWidget> m_widuiPtr;

   explicit SemanticAnalysisDialog(QWidget* parent = 0, Qt::WindowFlags f = 0);

    ~SemanticAnalysisDialog();

 signals:

 protected:
   void closeEvent(QCloseEvent* e);

 protected slots: //NOLINT
    void onHelpPushButtonClicked();
    void onClosePushButtonClicked();

 private:

};
}  // namespace guicmp
}  // namespace gdma

#endif  // GEODMA_TVPLUGIN_SEMANTICANALYSISDIALOG_HPP_
