/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

/*!
  \file gdma/lib/semanticanalysis/generalFunctions.hpp
*/

#ifndef GEODMA_LIB_SEMANTICANALYSIS_GENERALFUNCTIONS_HPP_
#define GEODMA_LIB_SEMANTICANALYSIS_GENERALFUNCTIONS_HPP_

// #include <boost/ptr_container/ptr_vector.hpp>
//
// #include <terralib/geometry.h>
// #include <terralib/raster.h>
// #include <terralib/core.h>
//
#include <string>
// #include <memory>
#include <vector>
// #include <map>

// GeoDMA Includes
#include "config.hpp"
#include "typedefs.hpp"

namespace gdma {
namespace sa {

  /*!
    \brief Decompose a string into tokens using space as separator and "".
    \param str Input string.
    \param tokens Output tokens.
    \note Lines starting with # are ignored
    */
  GDMASEMANTICANALYSISEXPORT void findTokens( const std::string& str, std::vector< std::string >& tokens );

}  // end namespace sa
}  // end namespace gdma

#endif  // GEODMA_LIB_SEMANTICANALYSIS_GENERALFUNCTIONS_HPP_
