/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

// GeoDMA Includes
#include "verticeTask.hpp"

namespace gdma {
namespace sa {

  VerticeTask::VerticeTask()
  {
    m_execResultPtr.reset( new ExecutionResult );
  }

  VerticeTask::VerticeTask(const VerticeTask&)
  {
    m_execResultPtr.reset( new ExecutionResult );
  }

  VerticeTask::~VerticeTask()
  {
  }

  const gdma::tp::TaskExecutionResult& VerticeTask::getExecutionResult() const
  {
    return *m_execResultPtr;
  }

  const ExecutionResult& VerticeTask::getVerticeTaskExecResult() const
  {
    return *m_execResultPtr;
  }

  void VerticeTask::setExecResult( const ExecutionResult& execResult )
  {
    m_execResultPtr.reset( static_cast< ExecutionResult* >( execResult.clone() ) );
  }

}  // end namespace sa
}  // end namespace gdma
