/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

// GeoDMA Includes
#include "taskExecutionResult.hpp"

namespace gdma {
namespace tp {

  TaskExecutionResult::TaskExecutionResult()
  : m_basicResult(INVALID) {
  }

  TaskExecutionResult::TaskExecutionResult(const TaskExecutionResult& other)
  {
    operator=( other );
  }

  TaskExecutionResult::~TaskExecutionResult()
  {
  }

  TaskExecutionResult& TaskExecutionResult::operator=( const TaskExecutionResult& other )
  {
    m_basicResult = other.m_basicResult;
    return *this;
  }

  TaskExecutionResult::BasicResult TaskExecutionResult::getBasicResult() const {
    return m_basicResult;
  }

  void TaskExecutionResult::setBasicResult(const BasicResult newBasicResult) {
    m_basicResult = newBasicResult;
  }

  TaskExecutionResult* TaskExecutionResult::clone() const
  {
    TaskExecutionResult* resultPtr = new TaskExecutionResult();
    resultPtr->m_basicResult = m_basicResult;
    return resultPtr;
  }

}  // end namespace tp
}  // end namespace gdma
