/*  Copyright (C) 2012 National Institute For Space Research (INPE) - Brazil.

This file is part of the GeoDMA - a Toolbox that integrates Data Mining Techniques with object-based
and multi-temporal analysis of satellite remotely sensed imagery.

GeoDMA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

GeoDMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with GeoDMA. See COPYING. If not, write to
GeoDMA Team at <thales@dpi.inpe.br, raian@dpi.inpe.br, castejon@dpi.inpe.br>.
*/

/*!
  \file gdma/tests/unittest/main.cpp

  \brief This file creates a main function to initialize the tests. 

  \author Raian Vargas Maretto
  \author Thales Sehn Korting
  \author Emiliano Ferreira Castejon
*/

// TerraLib includes
#include <terralib/common/TerraLib.h>
#include <terralib/common/Exception.h>

// GTest Includes
#include <gtest/gtest.h>
#include <gmock/gmock.h>

// GeoDMA Includes
#include "geodmalib/common/utils.hpp"

// The main function.

int main(int argc, char **argv) {
    TerraLib::getInstance().initialize();
    gdma::common::loadTerraLibDrivers();

    // testing::InitGoogleTest(&argc, argv);
    // ::testing::GTEST_FLAG(throw_on_failure) = true;
    ::testing::InitGoogleMock(&argc, argv);

    // Run tests
    int finished = RUN_ALL_TESTS();

    gdma::common::unloadTerraLibDrivers();
    TerraLib::getInstance().finalize();

    return finished;
}
